Issue473

classification
Title Make a copy errors
Type defect Module tracker
Severity inconvenience Platform N/A
Keywords properties, view: issue Nosy List stephen
explanation
process
These controls should only be changed by committers and tracker administrators.
Status assigned   Reason
Superseder  
Priority normal   Assigned To

Created on 2009-02-21.17:22:23 by stephen, last changed 2009-10-03.08:15:15 by stephen.

Messages
msg1035 [hidden] ([hidden]) Date: 2009-02-21.18:47:59
Supersedes 364.  (Duplicate backtrace, it looks like.)
msg1024 [hidden] ([hidden]) Date: 2009-02-21.17:22:22
Like this:

Templating Error

psycopg2.ProgrammingError: current transaction is aborted, commands ignored until end of transaction block

Debugging information follows

In python expression "not context.module"
While evaluating the expression on line 110
Current variables:
templates	<roundup.cgi.templating.Templates instance at 0x2afb14755b90>
repeat	<roundup.cgi.PageTemplates.TALES.SafeMapping instance at 0x2afb15babcf8>
false	0
context	<HTMLClass(0x2afb15babc68) issue>
utils	<roundup.cgi.templating.TemplatingUtils instance at 0x2afb15babc20>
db	<roundup.cgi.templating.HTMLDatabase instance at 0x2afb15babbd8>
nothing	None
i18n	<roundup.cgi.TranslationService.TranslationService instance at 0x2afb15ba17a0>
true	1
default	<roundup.cgi.PageTemplates.TALES.Default instance at 0x2afb145f9dd0>
request	<HTMLRequest {'_context': None, 'startwith': 0, 'show': <roundup.support.TruthDict instance at 0x2afb15baba28>, 
'classname': 'issue', 'special_char': '@', 'dispname': None, 'group': [], '_client': <roundup.cgi.client.Client instance 
at 0x2afb15b9dbd8>, 'template': 'item', 'input': <function input_html4 at 0x2afb14602938>, 'columns': [], 'sort': [], 
'env': {'HTTP_AUTHORIZATION': None, 'SERVER_PORT': '9999', 'SERVER_NAME': 'tleeps1.sk.tsukuba.ac.jp', 'HTTP_COOKIE': 
'roundup_session_XEmacsIssueTrackingSystem=MTIzNTIzNjY4Mi4wNzAuNjMxNjk0NTY4NDA5', 'HTTP_ACCEPT_LANGUAGE': 'en-us', 
'SCRIPT_NAME': '', 'REQUEST_METHOD': 'GET', 'HTTP_HOST': 'tleeps1.sk.tsukuba.ac.jp:9999', 'PATH_INFO': 'issue', 
'CONTENT_TYPE': 'text/plain', 'QUERY_STRING': 
'status=verified&assignedto=&platform=N/A&severity=inconvenience&keyword=&title=%5BBug%3A%2021.5-b28%5D%20C-x%20C-
s%20immediately%20after%20C-x%20C-f%20does%20the%20wrong%20thing%2C%20I%20think&nosy=kehoea&submitted=2009-02-
20.06%3A02%3A45&priority=normal&@note=Copy%20of%20issue%20472&reason=&module=core%20code%2021.4%2C%20core%20code%2021.5&ty
pe=defect&@template=item&superseder=', 'TRACKER_NAME': 'its'}, 'form': FieldStorage(None, None, 
[MiniFieldStorage('status', 'verified'), MiniFieldStorage('platform', 'N/A'), MiniFieldStorage('severity', 
'inconvenience'), MiniFieldStorage('title', '[Bug: 21.5-b28] C-x C-s immediately after C-x C-f does the wrong thing, I 
think'), MiniFieldStorage('nosy', 'kehoea'), MiniFieldStorage('submitted', '2009-02-20.06:02:45'), 
MiniFieldStorage('priority', 'normal'), MiniFieldStorage('@note', 'Copy of issue 472'), MiniFieldStorage('module', 'core 
code 21.4, core code 21.5'), MiniFieldStorage('type', 'defect'), MiniFieldStorage('@template', 'item')]), 'nodeid': None, 
'base': 'http://tracker.xemacs.org/XEmacs/its/', 'user': <HTMLItem(0x2afb15babb48) user 3>, 'search_text': None, 
'pagesize': 50, 'filterspec': {}, 'filter': [], 'client': <roundup.cgi.client.Client instance at 0x2afb15b9dbd8>}>
tracker	<roundup.instance.Tracker instance at 0x2afb1474bb48>
template	<Roundup PageTemplate 'issue.item.html'>
config	<roundup.configuration.CoreConfig instance at 0x2afb1474bb90>
options	{'ok_message': [], 'error_message': []}
loop	<roundup.cgi.PageTemplates.TALES.SafeMapping instance at 0x2afb15babcf8>
status_notresolved	'-1,1,2,3,4,5,6,7,12,13,14,15,16'
columns_showall	'id,activity,title,creator,assignedto,status'
attrs	{'style': 'color: red;', 'tal:condition': 'python:not context.module', 'class': 'required', 'i18n:translate': ''}
kw_edit_link	[<HTMLItem(0x2afb15bb2680) keyword 1>, <HTMLItem(0x2afb15bb26c8) keyword 24>, <HTMLItem(0x2afb15bb2710) 
keyword 23>, <HTMLItem(0x2afb15bb2758) keyword 7>, <HTMLItem(0x2afb15bb27a0) keyword 8>, <HTMLItem(0x2afb15bb27e8) keyword 
30>, <HTMLItem(0x2afb15bb2830) keyword 10>, <HTMLItem(0x2afb15bb2878) keyword 31>, <HTMLItem(0x2afb15bb28c0) keyword 28>, 
<HTMLItem(0x2afb15bb2908) keyword 27>, <HTMLItem(0x2afb15bb2950) keyword 35>, <HTMLItem(0x2afb15bb2998) keyword 3>, 
<HTMLItem(0x2afb15bb29e0) keyword 34>, <HTMLItem(0x2afb15bb2a28) keyword 22>, <HTMLItem(0x2afb15bb2a70) keyword 18>, 
<HTMLItem(0x2afb15bb2ab8) keyword 32>, <HTMLItem(0x2afb15bb2b00) keyword 9>, <HTMLItem(0x2afb15bb2b48) keyword 29>, 
<HTMLItem(0x2afb15bb2b90) keyword 21>, <HTMLItem(0x2afb15bb2bd8) keyword 6>, <HTMLItem(0x2afb15bb2c20) keyword 14>, 
<HTMLItem(0x2afb15bb2c68) keyword 33>, <HTMLItem(0x2afb15bb2cb0) keyword 5>, <HTMLItem(0x2afb15bb2cf8) keyword 13>, 
<HTMLItem(0x2afb15bb2d40) keyword 26>, <HTMLItem(0x2afb15bb2d88) keyword 12>, <HTMLItem(0x2afb15bb2dd0) keyword 11>, 
<HTMLItem(0x2afb15bb2e18) keyword 17>, <HTMLItem(0x2afb15bb2e60) keyword 15>, <HTMLItem(0x2afb15bb2ea8) keyword 25>, 
<HTMLItem(0x2afb15bb2ef0) keyword 19>]
columns	'id,activity,title,creator,status'
kw_create	1
kw_edit	1
A problem occurred in your template "issue.item.html".
Full traceback:
Traceback (most recent call last):
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/client.py", line 800, in renderContext
    result = pt.render(self, None, None, **args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/templating.py", line 327, in render
    getEngine().getContext(c), output, tal=1, strictinsert=0)()
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 192, in __call__
    self.interpret(self.program)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 236, in interpret
    handlers[opcode](self, args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 666, in do_useMacro
    self.interpret(macro)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 236, in interpret
    handlers[opcode](self, args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 411, in do_optTag_tal
    self.do_optTag(stuff)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 396, in do_optTag
    return self.no_tag(start, program)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 391, in no_tag
    self.interpret(program)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 236, in interpret
    handlers[opcode](self, args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 689, in do_defineSlot
    self.interpret(slot)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 236, in interpret
    handlers[opcode](self, args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 632, in do_condition
    self.interpret(block)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 236, in interpret
    handlers[opcode](self, args)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/TAL/TALInterpreter.py", line 631, in do_condition
    if not self.tal or self.engine.evaluateBoolean(condition):
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/PageTemplates/TALES.py", line 227, in evaluate
    return expression(self)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/PageTemplates/PythonExpr.py", line 69, in __call__
    return f()
  File "<string>", line 2, in f
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/templating.py", line 560, in __getattr__
    return self[attr]
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/templating.py", line 536, in __getitem__
    handleListCGIValue(form[item]), fail_ok=1)
  File "/usr/local/lib/python2.4/site-packages/roundup/cgi/templating.py", line 382, in lookupIds
    item = cl.lookup(entry)
  File "/usr/local/lib/python2.4/site-packages/roundup/backends/rdbms_common.py", line 1885, in lookup
    self.db.sql(sql, (keyvalue, 1))
  File "/usr/local/lib/python2.4/site-packages/roundup/backends/rdbms_common.py", line 156, in sql
    self.cursor.execute(sql, args)
ProgrammingError: current transaction is aborted, commands ignored until end of transaction block
History
Date User Action Args
2009-10-03 08:15:15stephensetkeyword: + view: issue, properties
2009-02-21 18:47:59stephensetstatus: verified -> assigned
messages: + msg1035
2009-02-21 18:47:05stephenlinkissue364 superseder
2009-02-21 17:22:23stephencreate